# CRUD: Retrieve a payment transaction log Retrieves information about a specific payment transaction log. Endpoint: GET /v1/object/payment-transaction-log/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `id` (string, required) The ID of a payment transaction log. ## Response 200 fields (application/json): - `AVSResponseCode` (string) The response code returned by the payment gateway referring to the AVS international response of the payment transaction. - `BatchId` (string) The ID of the batch used to send the transaction if the request was sent in a batch. - `CVVResponseCode` (string) The response code returned by the payment gateway referring to the CVV international response of the payment transaction. - `Gateway` (string) The name of the payment gateway used to transact the current payment transaction log. - `GatewayReasonCode` (string) The code returned by the payment gateway for the payment. This code is gateway-dependent. - `GatewayReasonCodeDescription` (string) The message returned by the payment gateway for the payment. This message is gateway-dependent. - `GatewayState` (string) The state of the transaction at the payment gateway. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `GatewayTransactionType` (string) The type of the transaction, either making a payment, or canceling a payment. Enum: "Authorization", "Sale", "Void", "Inquiry", "VoidAuth" - `Id` (string) The ID of the payment transaction log. - `PaymentId` (string) The ID of the payment wherein the payment transaction log was recorded. - `RequestString` (string) The payment transaction request string sent to the payment gateway. - `ResponseString` (string) The payment transaction response string returned by the payment gateway. - `TransactionDate` (string) The transaction date when the payment was performed. - `TransactionId` (string) The transaction ID returned by the payment gateway. This field is used to reconcile payment transactions between the payment gateway and records in Zuora. ## Response 401 fields (application/json): - `message` (string) Error message. If the error message is "Authentication error", ensure that the Authorization request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request. ## Response 404 fields (application/json): - `done` (boolean) - `records` (array) - `size` (integer)